Subject: [stir] FW: [dispatch] Need guidance on how to progress draft-york-dispatch-p-charge-info

From: Richard Shockey <[email-masked]>
Date: Mon, 28 May 2018 14:24:55 -0400

Here was the issue Henning was trying to deal with... in 2015 and those issues are still there. 

— 
Richard Shockey

Shockey Consulting LLC

Chairman of the Board SIP Forum

www.shockey.us

www.sipforum.org

richard<at>shockey.us

Skype-Linkedin-Facebook –Twitter  rshockey101

PSTN +1 703-593-2683

On 6/11/15, 1:02 PM, "Henning Schulzrinne" <[email-masked]> wrote:

    Yes, carrying the charge number is important for various (arcane) settlement and rural call completion issues; see
    
    47 CFR 64.1601
    
    for one example:
    
    Intermediate providers within an interstate or intrastate call path that originates and/or terminates on the PSTN must pass unaltered to subsequent providers in the call path signaling information identifying the telephone number, or billing number, if different, of the calling party that is received with a call.
    
    https://www.law.cornell.edu/cfr/text/47/64.1601
    
    Henning
    ________________________________
    From: dispatch [[email-masked]] on behalf of Richard Shockey [[email-masked]]
    Sent: Thursday, June 11, 2015 11:49 AM
    To: Mary Barnes; Dan York
    Cc: [email-masked]
    Subject: Re: [dispatch] Need guidance on how to progress draft-york-dispatch-p-charge-info

    BTW It was my understanding that there is actually a regulatory requirement here.
    
    Henning, if I recall, mentioned this a while back. I can’t recall the context.
    
    From: Mary Barnes <[email-masked]<mailto:[email-masked]>>
    Date: Thursday, June 11, 2015 at 12:29 AM
    To: Dan York <[email-masked]<mailto:[email-masked]>>
    Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
    Subject: Re: [dispatch] Need guidance on how to progress draft-york-dispatch-p-charge-info
    
    The DISPATCH process is fairly clearly described on the wiki:
    https://tools.ietf.org/wg/dispatch/trac/wiki
    
    So, your option 1. as Robert points out isn't an option with the current process.  Option 2 could happen as part of the DISPATCH process and as others have noted seems the most likely outcome.  In the case of option 2, the usual process is to ask whether there are any concerns on the DISPATCH WG mailing list and get feedback from the WG participants.
    
    The challenge of course is that we've deprecated P-headers and this would be an exception and would have to be clearly documented as such, but I would worry about this opening the floodgate for additional P-headers.  We would need to be clear that this isn't the intent here.
    
    Regards,
    Mary.
    
    On Wed, Jun 10, 2015 at 2:06 PM, Dan York <[email-masked]<mailto:[email-masked]>> wrote:
    
    DISPATCH participants,

    I could use some help/guidance about how to move my now-seemingly-ancient P-Charge-Info draft forward. The draft is at:

    https://tools.ietf.org/html/draft-york-dispatch-p-charge-info-05

    Way back in 2008, I first submitted the draft to the SIPPING WG. My goal was simply to *document the existing usage* of the P-Charge-Info SIP header per the then-relevant RFC 3427 so that the header could be listed in the IANA registry of SIP parameters at:

    http://www.iana.org/assignments/sip-parameters/sip-parameters.xhtml#sip-parameters-2

    My employer at the time, Voxeo, was (and still is) a strong user of the header and encouraged me to document it so that others could use the header within private networks.  As an IETF participant and SIP advocate, I personally wanted to document P-Charge-Info so that perhaps people could find it and use that header instead of creating yet another private header.  Tolga Asveren of Sonus Networks joined on very early in the process because Sonus was (and presumably still is) also actively using the header.  Lots of other people  chimed in along the way.

    After an initial flurry of commentary and changes on the SIPPING list from 2008-2010, there's a longer story of why it took so long... there was the RFC 3427bis process which became RFC 5727... life and job changes... much more...

    Anyway, at this point in 2015 I just want to move the document along and get it published so that the header can be registered and, quite honestly, so that I can stop renewing the document every 6 months.  Given that I still get inquiries about this header from time to time and that it is still being used, I feel a certain responsibility to just "get this done" rather than simply abandoning the draft.

    From what I know, there are three ways I can move this forward to publication:

    1. DISPATCH approval - this WG can approve the draft and send to the IESG; [1]

    2. AD-SPONSORED - I can ask a friendly AD to help send this to the IESG;

    3. INDIVIDUAL SUBMISSION - I can send this in to the independent stream editor.

    Am I correct?  And if so, what would any of you suggest as the simplest path to checking this off as done?

    Comments on the actual draft are of course also welcome, with the reminder that the aim of the draft was and is to document existing usage rather than to create a new header, etc.  (Because if it was to create a new header, the "P-" would be removed, etc.)

    Thanks,
    
    Dan

    [1] And yes, I do realize there is actually a 4th path which is that DISPATCH could "dispatch" this draft off to some other WG and I could then bring it through *that* WG. And if that's the best path I'm glad to do that, too... I just want to get this finished.

    _______________________________________________
    dispatch mailing list
    [email-masked]<mailto:[email-masked]>
    https://www.ietf.org/mailman/listinfo/dispatch

    _______________________________________________ dispatch mailing list [email-masked]<mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/dispatch